<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Notificator. Works with Notification manager
 * Write all notification to text file
 */
class FileLogNotificator extends Notificator
{

    /**
     * Write all notification to file
     *
     * @param Notification $notification occurred notification
     *
     * @return void
     */
    public function notify(Notification $notification)
    {
        Yii::log(print_r($notification->recipients, true) . "\n" . $notification->subject . ': ' . $notification->message, CLogger::LEVEL_PROFILE, 'FileLogNotificator');
    }
}
