<?php

class m130628_095343_apalines extends CDbMigration
{
	public function up()
	{
        $this->createTable('{{apalines_news}}', array(
            'id' => 'pk',
            'title' => 'string NOT NULL',
            'ndate' => 'integer NOT NULL',
            'channel' => 'string NOT NULL',
            'docid' => 'string NOT NULL',
            'background_news' => 'integer DEFAULT 0',
            'related_maindoc_id' => 'string DEFAULT 0',
            'place' => 'string',
            'source' => 'string',
            'teaser' => 'text',
            'content' => 'text',
            'filename' => 'string',
            'author' => 'string',
            'keywords' => 'text',
            'created' => 'integer',
            'updated' => 'integer',
            'xml_filename' => 'string',
            'apa_id' => 'string',
            'deleted' => 'integer DEFAULT 0',
        ));

        $this->createTable('{{apalines_mm}}', array(
            'id' => 'pk',
            'title' => 'string NOT NULL',
            'ndate' => 'integer NOT NULL',
            'channel' => 'string NOT NULL',
            'docid' => 'string NOT NULL',
            'related_maindoc_id' => 'string DEFAULT 0',
            'place' => 'string',
            'source' => 'string',
            'filename' => 'string',
            'author' => 'string',
            'keywords' => 'text',
            'created' => 'integer',
            'updated' => 'integer',
            'type' => 'integer DEFAULT 0',
            'xml_filename' => 'string',
            'apa_id' => 'string',
            'deleted' => 'integer DEFAULT 0',
        ));

        $this->createTable('{{apalines_file}}', array(
            'id' => 'pk',
            'href' => 'string NOT NULL',
            'size' => 'integer',
            'width' => 'integer',
            'height' => 'integer',
            'format' => 'string',
            'parent_id' => 'integer',
        ));
	}

	public function down()
	{
        $this->dropTable('{{apalines_news}}');
        $this->dropTable('{{apalines_mm}}');
        $this->dropTable('{{apalines_file}}');
    }

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}