<?php
class FGFormWidget extends BaseWidget
{
		public $id;
		public $showErrors;	
		public $notPublish;
		protected $model;
		public $formdata;
	
    public function init()
    {
	
        $this->model = FGForms::model()->findByPk($this->id);
		Yii::import('fg.widgets.form.helpers.FGFormWidgetHelper');
		$this->processFormHTML();
	$this->showErrors = true;
	if(isset($this->notPublish)):$this->showErrors=false;endif;
	$this->formdata =  array();
	if(isset($_SESSION['formdatas']) && isset($_SESSION['formdatas'][$this->id])):
		$this->formdata = $_SESSION['formdatas'][$this->id];
	endif;
    }
	
	public function run()
	{
		$errors = FGFormWidgetHelper::getErrors($this->model->id);
		if($this->showErrors):
		$this->render('fg.widgets.form.views.form', array(
			'errors'=>$errors,
			'formdata' => $this->formdata
		));
		else:
		$this->render('fg.widgets.form.views.form',array('formdata' => $this->formdata));	
		endif;
	}
	
	protected function processFormHTML()
	{
		$attrs = 'action="'.Yii::app()->createUrl('/fg/form/submit').'"';
		$this->model->html = str_replace('<form', '<form '.$attrs, $this->model->html);

		// Anpassungen für AK
		$this->model->html = str_replace('class="ui-droppable ui-sortable','class="anfrage', $this->model->html); 



		// fix proxy-problem in frontend
		$this->model->html = str_replace('"/proxy', '"', $this->model->html);
		// end

		$hiddenFields = array(
			'form_id' => $this->model->id,
			'return_url' => Yii::app()->request->requestUri,
			'referer' => Yii::app()->request->urlReferrer,
			'submitAction' => "submit"
		);
		$fields = '';
		foreach($hiddenFields as $k => $v) {
			$fields .= CHtml::hiddenField($k, $v);
		}
		$this->model->html = str_replace('</form>', $fields.'</form>', $this->model->html);
	}
}
