<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>

<div class="shoppingcart_itemlist">
    <div class="itemlist_title"><?php echo ShoppingcartModule::t($this->title); ?></div>
    <ul class="<?php echo $this->class ?>">
        <?php foreach($model as $item): ?>
        <a <?php if($this->link_items_to_page){echo "href='".($item->item_referrer)?$item->item_referrer: $item->referrer."'";} ?>>
            <li>
                <span class="item_title"><?php echo $item->title ?></span>
                <span class="item_quantity"><?php echo $item->quantity ?></span>
            </li>
        </a>
        <?php endforeach; ?>

        <?php if(!count($model)): ?>
            <li> <?php echo ShoppingcartModule::t('Cart is empty'); ?> </li>
        <?php endif; ?>
    </ul>
    <div class="to_shoppingcart">
        <?php
        if(count($model)):
        echo CHtml::link(ShoppingcartModule::t('All items').'&nbsp;&raquo;',
        Yii::app()->createUrl($this->shoppingcart_link),array('class'=>'metanavlink all-items-link'));
        endif;
        ?>
    </div>
</div>
