<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
$request = Yii::app()->request;
?>
<div class="personalisation-widget-assign-attributes">
    <script type="text/javascript">
        $(function () {
            $('#assigner').dhtmlTreeUserAssignment({
                        userId:'<?php echo $this->userId?>',
                        updateUrl:'<?php echo Yii::app()->createUrl('/personalisation/manage/updateUserAttribute')?>',
                        imagePath:'<?php echo $this->getModule()->getAssetsUrl() . '/css/imgs/csh_bluebooks/'?>',
                        treeData: <?php echo CJSON::encode(PersonalisationAttributeHelper::getTreeWithUserStateJs($this->userId))?>,
                        enableEditing: <?php echo CJavaScript::encode($this->enableEditing)?>,
                        t:{
                            'Personalisation attributes tree':'<?php echo PersonalisationModule::t('Personalisation attributes tree')?>'
                        },
                        hiddenFields: <?php echo CJSON::encode($request->enableCsrfValidation ? array($request->csrfTokenName => $request->getCsrfToken()) : array())?>
                    }
            );
        });
    </script>
    <div id="assigner"></div>
</div>