/**
 * Created by JetBrains PhpStorm.
 * User: andrew
 * Date: 4/5/12
 * Time: 2:17 PM
 * To change this template use File | Settings | File Templates.
 */
(function ($) {
    $.fn.datepickerL10 = function (options) {
        return this.each(function () {
            var $this = $(this);
            var $hidden = $('<input>').attr({
                type:'hidden',
                name:$(this).attr('name')
            }).appendTo($(this).parent());
            $this.attr({
                name:$(this).attr('name') + '_temp'
            });
            $this.datepicker($.extend({}, options, {
                onSelect:function (dateText) {
                    if (!options.returnDateFormat) return;
                    var parsed = $.fn.datepickerL10.parseDate($this.datepicker('option', 'dateFormat'), options.language, dateText);
                    $hidden.val($.datepicker.formatDate(options.returnDateFormat, parsed));
                }
            }));
            $(this).attr('readonly', true);

            if (options.date) {
                var date = new Date(options.date * 1000);
                $this.datepicker('setDate', date).datepicker("refresh");
                $hidden.val($.datepicker.formatDate(options.returnDateFormat, date));
            }
        });
    };

    $.fn.datepickerL10.parseDate = function (dateFormat, lang, dateText) {
        var options = lang != 'en' ? {shortYearCutoff:20, dayNamesShort:jQuery.datepicker.regional[lang].dayNamesShort, dayNames:jQuery.datepicker.regional[lang].dayNames, monthNamesShort:jQuery.datepicker.regional[lang].monthNamesShort, monthNames:jQuery.datepicker.regional[lang].monthNames} : {};
        return $.datepicker.parseDate(dateFormat, dateText, options);
    }

}(jQuery));